# CoinMetricsClient.catalog\_index\_candles\_v2

```python
coinmetrics.api_client.CoinMetricsClient.catalog_index_candles_v2(
    indexes=None,
    page_size=None,
    paging_from=None,
    next_page_token=None,
    format='json_stream',
)
```

Returns a list of available index candles along with the time ranges of available data per candle duration.

* **Parameters:**
  * **indexes** (*Optional* \*\[\**Union* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *,* *List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]* *]*) -- Comma separated list of indexes. By default all assets are returned.
  * **page\_size** (*Optional* *\[*[*int*](https://docs.python.org/3/library/functions.html#int) *]*) -- Number of items per single page of results.
  * **paging\_from** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Where does the first page start, at the start of the interval or at the end.
  * **next\_page\_token** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Token for receiving the results from the next page of a query. Should not be used directly. To iterate through pages just use next\_page\_url response field.
  * **format** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Format of the response. Supported values are json, json\_stream, csv. Default is json\_stream. Setting format='json\_stream' is generally more performant. page\_size and paging\_from is ignored when format='json\_stream'.

**Returns:**

* CatalogV2DataCollection
  * List of index candles statistics.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/catalog-v2/catalog_index_candles_v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
